RGPD / Politique de confidentialité / pub personnalisée

Réduire
X
  • Filtrer
  • Heure
  • Afficher
Tout effacer
nouveaux messages

  • RGPD / Politique de confidentialité / pub personnalisée

    Bonsoir,

    Voilà un sujet qui a fait l'actualité très fort à l'entrée en vigueur de la loi, mais pour autant je trouve difficile de se mettre en conformité quand on n'est pas un mastodonte du net.

    Dans cette autre conversation, Daneel a écrit :
    Mettre en place une vraie politique de confidentialité comportant bon nombre d'infos dont la présence des différents supports de google (que l'on peut normalement désactiver simplement et sans l'aide d'extension au navigateur) et le changement de ton module affichant la bannière de cookies qui est complètement obsolète (il n'y a plus de conservation de 13 mois pour le consentement et il manque le lien vers ta page politique de confidentialité).
    (>Voici donc un premier point à régler : quelle extension recommandez-vous qui :
    * soit visuellement acceptable (sans être un cador du css)
    * soit conforme RGPD
    * offre suffisamment (mais pas trop non plus) de possibilités de choix aux visiteurs ?

    Le 2nd point devrait peut-être venir en premier, à bien y réfléchir : comment identifier complètement tous les cookies et autres qui existent sur mon site, comprendre exactement ce qu'ils font des données, etc. pour pouvoir donner une information sincère et complète aux visiteurs ?
    J'ai du :
    * Addthis (partage social + 1 popup de promotion d'un lien)
    * Adsense
    * Analytics
    (je crois que c'est tout)

    Et enfin : c'est quoi une vraie politique de confidentialité selon vous ?
    J'ai mis un texte il est vrai un peu bateau dans ma politique de confidentialité + mon chapitre Cookies.

    Daneel écrit aussi, à propos du consentement pour la publicité personnalisée :
    Le but étant d'être conforme à la réglementation européenne sans rien perdre (y compris sur les revenus) et de se protéger efficacement contre le parasitisme et dérivée.
    La dernière partie de cette phrase m'interpelle : comment réunir en une action la conformité RGPD et lutter contre le parasitisme ?
    Je m'interroge aussi sur la nécessité de conserver la trace du consentement des internautes sur la publicité personnalisée...
    Daneel ? Tu pensais peut-être encore à quelque chose d'autre en écrivant ceci ?
    A toi de compléter...


    Petit rappel des règles :

    Si le contrat que vous avez conclu avec Google incorpore ces règles, ou si vous utilisez un produit Google qui les intègre, vous devez vous assurer que certaines informations sont divulguées aux utilisateurs finaux de l'Espace économique européen et que vous avez obtenu leur consentement. Si vous ne respectez pas ces règles, nous nous réservons le droit de limiter ou suspendre votre utilisation du produit Google et/ou de résilier votre contrat. Propriétés sous votre contrôle


    Concernant les produits Google utilisés sur les sites, dans les applications ou sur toute autre propriété sous votre contrôle ou sous celui de votre société affiliée ou de votre client, les obligations suivantes s'appliquent aux utilisateurs finaux de l'Espace économique européen.

    Vous devez obtenir un consentement des utilisateurs finaux valable légalement pour :
    • l'utilisation des cookies ou de toute autre méthode de stockage en local lorsque cela est légalement requiset;
    • la collecte, le partage et l'utilisation de données à caractère personnel pour la personnalisation des annonces.
    Lorsque vous recueillez le consentement des utilisateurs finaux, vous devez :
    • conserver la preuve écrite du consentement accordé par les utilisateurs finaux ; et
    • fournir aux utilisateurs finaux des instructions claires concernant la révocation du consentement.

    Vous devez clairement identifier chaque partie susceptible de collecter, de recevoir ou d'utiliser des données à caractère personnel d'utilisateurs finaux à la suite de l'usage que vous faites d'un produit Google. Les informations relatives à l'utilisation de ces données par les parties concernées doivent également être fournies de manière bien visible et facilement accessible.
    Si je veille à demander et conserver le consentement des gens qui remplissent un formulaire (de contact par exemple), je ne garde aucune trace du clic sur 'j'accepte" de ma bannière d'alerte Cookies... A relire cette règle, je me demande si j'en fais assez dans ce domaine...

    Bon ben voilà, le sujet est posé : qu'en pensez-vous les copains/copines ?

    Bonne soirée.
    Florence
    --
    Dernière édition par FlodAriege à 20/11/2018, 19h03

  • #2
    Bonjour,
    Regarde l'extension GDPR : https://storejextensions.org/extensions/gdpr.html
    Elle permet de garder une trace complète des consentements, y compris sur les formulaires.

    Cordialement,
    Chabi01 - http://www.xlformation.com

    Commentaire


    • #3
      Merci Chabi

      C'est fait, j'ai installé et configuré GDPR sur le site + mis en ligne une politique cookies + une politique de confidentialité digne du nom.
      Par contre, j'ai du mal à comprendre comment intégrer la case à cocher dynamique dans un formulaire : pourrais-tu peut-être m'éclairer à ce sujet ?
      J'ai lu la section consacrée à ce sujet dans leur documentation, mais je suis trop débutante pour m'y retrouver...


      (pour mes formulaires, j'utilise Chronoforms, mais si tu me recommandes une autre extension pour les formulaires, ça m'intéresse aussi. J'ai en effet un problème avec les dernières cases à cocher ajoutées à mes formulaires - précisément celles qui sont requises pour le RGPD.... - au sens où bien qu'obligatoire, le formulaire passe même si elles sont non cochées. Mes autres champs obligatoires fonctionnent normalement. D'après l'éditeur, c'est dû à une erreur JS que je traine sur mon site, qui est provoquée par mon template et contre laquelle l''éditeur du template n'a rien trouvé à faire... Bref, j'ai quand même quelques doutes : si c'était vraiment l'erreur JS de mon template qui faisait bugger ces cases obligatoires, pourquoi mes autres champs obligatoires fonctionnent-ils normalement ??)

      Commentaire


      • #4
        Bonjour,
        Désolé, je n'ai pas eu de notification de réponse.

        Pour intégrer une case à cocher dans les formulaires, avec le composant, tu as de multiples possibilités. Je te donne la méthode que j'utilise.

        Dans la configuration de GDPR, tu as :
        (5e onglet (Case à cocher Politique de confidentialité)
        -> Bloquer les utilisateurs n'ayant pas accepté la politique de confidentialité : OUI
        -> Type de controle : case à cocher
        -> Dynamic checkbox control check (tiens, j'ai oublié de traduire !) : Case à cocher
        -> Supprimer les attributs HTML : OUI
        -> Méthode soumission : élément personnalisé
        -> Sélecteur CSS pour l'élément personnalisé : input[type=submit],button[type=submit],button[type=button]
        -> Méthode d'ajout personnalisé : NON
        -> Sélecteur Css pour l'intégration de l'élément : input[type=submit],button[type=submit]
        -> Cible pour la méthode d'ajout : Elément parent

        Plus bas :
        -> Nom de la classe CSS : required

        Plus bas encore,

        Afficher le nom des composants personnalisé, dans la zone de texte, tu ajoutes si tu utilises Joomla et / ou Flexicontent :

        com_flexicontent.item
        com_content.article

        Tu vas ensuite sur le 8e onglet et dans la liste "intégration avec des extensions tierce", tu sélectionnes ton composant de formulaire : j'utilise BreezingForms mais pour toi, cela devrait être Chronoforms 6 (vérifie que c'est bien la bonne version de Chronoforms, pas la 5).

        Sinon, tu as une url pour voir ton site afin de vérifier ton problème de conflit Javascript ?

        Cordialement,
        Chabi01 - http://www.xlformation.com

        Commentaire


        • #5
          Bonjour Chabi,

          Merci infiniment, je vais regarder ça de très près, et s'il y a une étape que j'ai du mal à appliquer, je reviens vers toi.

          Envoyé par chabi01 Voir le message

          Tu vas ensuite sur le 8e onglet et dans la liste "intégration avec des extensions tierce", tu sélectionnes ton composant de formulaire : j'utilise BreezingForms mais pour toi, cela devrait être Chronoforms 6 (vérifie que c'est bien la bonne version de Chronoforms, pas la 5).
          j'utilise la 5 : c'est un problème ou pas ?
          (c'est vrai que je pourrais peut-être passer à la 6 quand même..)


          Envoyé par chabi01 Voir le message

          Sinon, tu as une url pour voir ton site afin de vérifier ton problème de conflit Javascript ?

          Cordialement,
          Oui, bien sûr, et avec tous mes remerciements (non dépendants de ton succès).
          La page d'accueil :
          https://www.rouchenergies.fr

          Commentaire


          • #6
            Bonjour Chabi

            A propos de l'erreur JS

            J'ai à nouveau une erreur JS sur le nouveau formulaire Chronforms6 que j'ai déployé sur mon sous-domaine de test.
            Ce n'est pas la même que la dernière fois, et je n'ai pas l'impression que cette fois, ce soit mon template JSN qui soit concerné (mais bon, le javascript et moi...) :
            Code:
            Uncaught SyntaxError: Unexpected token m in JSON at position 1
                at JSON.parse (<anonymous>)
                at j (jquery.inputmask.js:10)
                at HTMLInputElement.<anonymous> (jquery.inputmask.js:10)
                at Function.each (jquery.min.js?17efb038d4e747a0c93520e03270d3c2:2)
                at e.mask (jquery.inputmask.js:10)
                at HTMLInputElement.<anonymous> (jquery.inputmask.js:11)
                at Function.each (jquery.min.js?17efb038d4e747a0c93520e03270d3c2:2)
                at a.fn.init.each (jquery.min.js?17efb038d4e747a0c93520e03270d3c2:2)
                at a.fn.init.a.fn.inputmask.a.fn.inputmask (jquery.inputmask.js:11)
                at Object.$.G2.forms.ready (g2.forms.js:512)
            Ca te parle ?
            Je ne sais pas si ça peut avoir quelque chose à voir mais, dans les extensions à mettre à jour, j'ai depuis fort longtemps JQuery Easy, que je ne suis jamais arrivée à mettre à jour...

            Ceci dit, cette fois la validation de la case à cocher "consentement" fonctionne...
            (par contre j'ai de gros problèmes de validation sur des champs conditionnels, mais je les avais déjà sous chronoforms 5, donc je pense que je ne sais simplement pas les faire fonctionner...)

            Bon, sinon, à propos de GDPR :

            Envoyé par chabi01 Voir le message
            Pour intégrer une case à cocher dans les formulaires, avec le composant, tu as de multiples possibilités.
            Et la case à cocher dynamique, quel est son usage ?
            Quelle est la différence entre la case à cocher dynamique et la case à cocher accessible via la configuration ?

            Envoyé par chabi01 Voir le message
            Je te donne la méthode que j'utilise.
            Dans la configuration (...).
            J'ai reproduit tes réglages , jusque là ça va mais...
            ... et ensuite ?
            Comment faire apparaître cette case à cocher dans un formulaire ?
            Qu'est ce que c'est ce que ce "sélecteur CSS" dont l'extension semble dire qu'il suffit de l'intégrer quelque part pour faire apparaître la case ?
            J'ai fait quelques essais mais, tu t'en doutes sinon je ne poserais pas la question, sans succès.
            ​​​​​​
            Merci d'avance pour ton aide
            Dernière édition par FlodAriege à 02/12/2018, 14h19

            Commentaire


            • #7
              Bonjour
              Si le composant GDPR prend en charge Chronoforms6, je ne sais pas par contre si la 5 va fonctionner...
              Vérifie. En théorie, la case devrait apparaitre directement sans manip supplémentaire.

              Si tu as une url, cela peut aider
              Cordialement,
              Chabi01 - http://www.xlformation.com

              Commentaire


              • #8
                Envoyé par chabi01 Voir le message
                Bonjour
                Si le composant GDPR prend en charge Chronoforms6, je ne sais pas par contre si la 5 va fonctionner...
                Vérifie. En théorie, la case devrait apparaitre directement sans manip supplémentaire.
                Alors je ne dois pas faire les choses comme il faudrait...


                Envoyé par chabi01 Voir le message
                Si tu as une url, cela peut aider
                Cordialement,
                Bien sûr, la voilà : http://30nov2018.rouchenergies.fr/devis-gratuit.html

                (sous-domaine de test, je dois penser à supprimer cette url de ce post quand on aura terminé)

                Commentaire


                • #9
                  Hello,
                  Tu as un conflit avec ton formulaire qui plante GDPR, tu as un problème avec ton template Joomlashine qui renvoie une erreur. Avant de pouvoir faire fonctionner GDPR, il te faut résoudre ces conflits

                  Cordialement,
                  Chabi01 - http://www.xlformation.com

                  Commentaire


                  • #10
                    Bonjour,

                    J'ai déjà consulté Joomlashine sur cette erreur il y a plusieurs mois.
                    Ca a duré des semaines avant qu'ils interviennent (normal, c'est un template gratuit), pour au final me dire qu'ils ne trouvaient pas comment résoudre le problème...

                    Je suis donc en train de chercher un nouveau template.
                    Pas évident car j'ai un paquet de positions spéciales, et changer va m'obliger à un gros travail, mais bon.

                    J'ai commencé à déployer sur le sous-domaine dont je t'ai déjà donné l'URL un nouveau template (Favourite de FavThemes).
                    Au départ j'avais toujours une erreur, qui disait :

                    Code:
                    favth.bootstrap.js:15
                    
                    Uncaught Error: Bootstrap's JavaScript requires jQuery version 1.9.1 or higher, but lower than version 4
                        at favth-bootstrap.js:15
                        at favth-bootstrap.js:17
                    (anonymous) @ favth-bootstrap.js:15
                    (anonymous) @ favth-bootstrap.js:17
                    
                    favth-scripts.js:24
                    
                    Uncaught TypeError: jQuery(...).favthtooltip is not a function
                        at HTMLDocument.<anonymous> (favth-scripts.js:24)
                        at k (jquery.min.js:2)
                        at Object.fireWith [as resolveWith] (jquery.min.js:2)
                        at Function.ready (jquery.min.js:2)
                        at HTMLDocument.D (jquery.min.js:2)
                    (anonymous) @ favth-scripts.js:24
                    k @ jquery.min.js:2
                    fireWith @ jquery.min.js:2
                    ready @ jquery.min.js:2
                    D @ jquery.min.js:2
                    ... et puis je me suis souvenue qu'une extension avait toujours résisté à toute mise à jour : JQuery Easy.
                    J'avais la version 1.6.9 laquelle, après vérification, s'avérait ne plus être supportée par l'éditeur.
                    Je l'ai donc désinstallée, puis j'ai installé la nouvelle, la 2.2.1

                    Je suis ensuite retournée sur la console, et là...
                    Plus d'alerte, d'erreur ni de warning

                    J'ai fait la même manip sur le site en production.
                    Mais là... ça n'a rien changé. Le problème vient d'ailleurs ou, en tout cas, n'est pas résolu par l'intervention de JQuery Easy.

                    Dommage, j'aimais beaucoup mon template, et je ne retrouve pas dans Favourité la possibilité de mettre des images en fond du header et du footer, ni celle d'avoir des modules en position "sticky" (notamment pour le menu principal, pour lequel j'utilisais JuX megamenu (avec le nouveau template le megamenu JuX vient se surperposer sur le logo au lieu de passer au dessus quand la largeur d'écran ne permet pas de tout afficher en ligne + les liens de menus ne passent pas "à la ligne" et s'obstinent à rester sur une seule ligne, problématique dans mon cas vu le le nombre et la longueur des titres de liens de menu)

                    Bref (façon de parler, et vraiment désolée pour la longueur de mon post !! )

                    Pourrais-tu STP regarder à nouveau l'URL indiquée dans le post #8, et me dire quoi faire pour intégrer ce bouton GDPR ?
                    Merci infiniment !

                    Flo

                    Commentaire


                    • #11
                      Bonjour Flo,
                      GDPR ne plante pas quand tu n'as pas de formulaire : le problème se trouve dans ton formulaire ici... Il faut que tu voies ce qui ne fonctionne pas dans celui-ci... Tant que le conflit existe, cela plante alors GDPR...
                      Tu devrais remonter le souci sur le forum de Chronoforms...

                      Cordialement,
                      Chabi01 - http://www.xlformation.com

                      Commentaire


                      • #12
                        Salut,

                        Franchement vu le peu d'aide que j'arrive à obtenir sur le forum de Chronoforms, je pense surtout à changer de gestionnaire de formulaire...
                        Autrefois il y avait un contributeur très actif, mais l'admin qui lui a succédé fait des réponses si raccourcies qu'elles ne répondent pas à la question posée, même beaucoup plus courte que celles que je pose ici...

                        Je m'occupe de mettre le site à jour et de changer de template. Une fois que j'aurai un site stable sans erreur JS, je vérifierai si ça va mieux avec Chronoforms, puis je reviendrai vers toi ici.

                        Merci 1000 fois pour l'auscultation docteur
                        ... et à bientôt pour le prochain épisode

                        Bonne nuit.

                        Flo

                        Commentaire


                        • #13
                          Hello,
                          Pour ce que ça vaut, j'utilisais pas mal Chronoforms avant et je suis revenu à BreezingForms (pro). Honnêtement, je ne regrette pas du tout : le support est chez eux très efficace par contre

                          Cordialement,
                          Chabi01 - http://www.xlformation.com

                          Commentaire

                          Annonce

                          Réduire
                          1 sur 2 < >

                          C'est [Réglé] et on n'en parle plus ?

                          A quoi ça sert ?
                          La mention [Réglé] permet aux visiteurs d'identifier rapidement les messages qui ont trouvé une solution.

                          Merci donc d'utiliser cette fonctionnalité afin de faciliter la navigation et la recherche d'informations de tous sur le forum.

                          Si vous deviez oublier de porter cette mention, nous nous permettrons de le faire à votre place... mais seulement une fois
                          Comment ajouter la mention [Réglé] à votre discussion ?
                          1 - Aller sur votre discussion et éditer votre premier message :


                          2 - Cliquer sur la liste déroulante Préfixe.

                          3 - Choisir le préfixe [Réglé].


                          4 - Et voilà… votre discussion est désormais identifiée comme réglée.

                          2 sur 2 < >

                          Assistance au forum - Outil de publication d'infos de votre site

                          Compatibilité: PHP 4.1,PHP4, 5, 6DEV MySQL 3.2 - 5.5 MySQLi from 4.1 ( @ >=PHP 4.4.9)

                          Support Version de Joomla! : | J!3.0 | J!2.5.xx | J!1.7.xx | J!1.6.xx | J1.5.xx | J!1.0.xx |

                          Version française (FR) D'autres versions sont disponibles depuis la version originale de FPA

                          UTILISER À VOS PROPRES RISQUES :
                          L'exactitude et l'exhaustivité de ce script ainsi que la documentation ne sont pas garanties et aucune responsabilité ne sera acceptée pour tout dommage, questions ou confusion provoquée par l'utilisation de ce script.

                          Problèmes connus :
                          FPA n'est actuellement pas compatible avec des sites Joomla qui ont eu leur fichier configuration.php déplacé en dehors du répertoire public_html.

                          Installation :

                          1. Téléchargez l'archive souhaitée : http://afuj.github.io/FPA/

                          Archive zip : https://github.com/AFUJ/FPA/zipball/master

                          2. Décompressez le fichier de package téléchargé sur votre propre ordinateur (à l'aide de WinZip ou d'un outil de décompression natif).

                          3. Lisez le fichier LISEZMOI inclus pour toutes les notes de versions spécifiques.

                          4. LIRE le fichier de documentation inclus pour obtenir des instructions d'utilisation détaillées.

                          5. Téléchargez le script fpa-fr.php à la racine de votre site Joomla!. C'est l'endroit que vous avez installé Joomla et ce n'est pas la racine principale de votre serveur. Voir les exemples ci-dessous.

                          6. Exécutez le script via votre navigateur en tapant: http:// www. votresite .com/ fpa-fr.php
                          et remplacer www. votresite .com par votre nom de domaine


                          Exemples:
                          Joomla! est installé dans votre répertoire web et vous avez installé la version française du fichier FPA:
                          Télécharger le script fpa-fr.php dans: /public_html/
                          Pour executer le script: http://www..com/fpa-fr.php

                          Joomla! est installé dans un sous-répertoire nommé "cms" et vous avez installé la version française du fichier FPA:
                          Télécharger le script fpa-fr.php dans: /public_html/cms/
                          Pour executer le script: http://www..com/cms/fpa-fr.php

                          En raison de la nature très sensible de l'information affichée par le script FPA, il doit être retiré immédiatement du serveur après son utilisation.

                          Pour supprimer le script de votre site, utilisez le lien de script de suppression fourni en haut de la page du script. Si le lien de suppression échoue pour supprimer le script, utilisez votre programme FTP pour le supprimer manuellement ou changer le nom une fois que le script a généré les données du site et le message publié sur le forum. Si le script est toujours présent sur le site, il peut être utilisé pour recueillir suffisamment d'informations pour pirater votre site. Le retrait du script empêche des étrangers de l'utiliser pour jeter un oeil à la façon dont votre site est structuré et de détecter les défauts qui peuvent être utilisé à vos dépends.
                          Voir plus
                          Voir moins
                          Travaille ...
                          X